package tests

import (
	"gitea.pena/PenaSide/common/privilege"
	"gitea.pena/SQuiz/common/model"
	"github.com/gofiber/fiber/v2"
	"github.com/stretchr/testify/assert"
	"testing"
)

func TestPublishPrivileges(t *testing.T) {
	clientData := privilege.Client{
		URL:         "http://localhost:8001",
		ServiceName: "squiz",
		Privileges:  model.Privileges,
	}
	fiberClient := &fiber.Client{}
	privilegeController := privilege.NewPrivilege(clientData, fiberClient)

	t.Run("PublishPrivileges", func(t *testing.T) {
		err := privilegeController.PublishPrivileges()
		assert.NoError(t, err)
	})
}
